#!/bin/bash -e

if [ "$DOTNET_VERSION" = "5" ] || [ "$DOTNET_VERSION" = "6" ]
then
  DOTNET_VERSION=${DOTNET_VERSION}.0
fi

wget https://packages.microsoft.com/config/ubuntu/18.04/packages-microsoft-prod.deb -O packages-microsoft-prod.deb
dpkg -i packages-microsoft-prod.deb
rm packages-microsoft-prod.deb
apt-get update; \
   apt-get install -y apt-transport-https && \
   apt-get update && \
   apt-get install -y dotnet-sdk-${DOTNET_VERSION}